package kr.co.hanwha.hifive.enums;

/**
 * Created by sanghoonkwon on 2018. 1. 22..
 */

public enum MessageType {
    NULL(-1),
    /**
     * Default
     */
    NONE(0),
    /**
     * 일반 메시지
     */
    COMMENT(1),
    /**
     * 요청 반려 메시지
     */
    REJECT_REQUEST(10),
    /**
     * 요청 전달 메시지
     */
    TRANSFER(20),
    /**
     * 평가 반려 메시지
     */
    REJECT_EVALUATION(30);


    private int mType;

    MessageType(int type) {
        mType = type;
    }

    public int getCode() {
        return mType;
    }
}
